const request = require('request');

class CodeSnippetsAccessor {
  constructor(config) {
    this.config = config;
  }

  find(id) {
    return new Promise((resolve, reject) => {
      const url = `${this.config.INFOCHAT_DATA_SERVER}/codesnippets/${id}`;
      request.get(
        url,
        {
          headers: {
            Authorization: this.config.USER_TOKEN,
          },
        },
        (err, res) => {
          if (err) {
            reject(err);
          } else if (res.statusCode != 200) {
            reject(res);
          }
          resolve(res);
        },
      );
    });
  }
}

module.exports = CodeSnippetsAccessor;
